Bug 166005 - Problem with sound on Via Ac97 after installation.
Problem with sound on Via Ac97 after installation.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 14:06 EDT by Rafal Komar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 05:47:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafal Komar 2005-08-15 14:06:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Sound is distorted with lots of crackling. Everything is played with a few seconds delay. Sound is clear only when I'm watching TV from tv tuner. Line-in doesn't cause problems. 

Here are informations about my PCI devices:

00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 03)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
00:07.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16)
00:07.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16)
00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 AC97 Audio Controller (rev 50)
00:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
00:0c.0 Multimedia video controller: Conexant CX23880/1/2/3 PCI Video and Audio Decoder (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev a1)

Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rf-2.FC4

How reproducible:
Always

Steps to Reproduce:
Always when sound is playing.
  

Additional info:

I solved this problem by adding .asoundrc file to my home directory.

pcm.card0 {
    type hw
    card 0
}
pcm.!default {
    type dmix
    ipc_key 1025
    slave {
            pcm "hw:0,0"
            period_time 0
            period_size 4096
            buffer_size 16384
            periods 128
            rate 44100
        }
        bindings {
                0 0
                1 1
        }
}

Mayby there is a better solution, but it works very good.
Comment 1 Martin Stransky 2005-08-16 07:11:36 EDT
Will it work if you remove these lines?

period_time 0
period_size 4096
buffer_size 16384
periods 128
rate 44100
Comment 2 Rafal Komar 2005-08-16 09:20:38 EDT
(In reply to comment #1)
> Will it work if you remove these lines?
> 
> period_time 0
> period_size 4096
> buffer_size 16384
> periods 128
> rate 44100

Yes, it works without this lines.
Comment 3 Martin Stransky 2005-08-16 10:40:23 EDT
And does it work without these lines?

        bindings {
                0 0
                1 1
        }
Comment 4 Rafal Komar 2005-08-16 13:19:41 EDT
It works with almost all applications. But it cause an error in mplayer, xmms
and beep-media-player.

Could not open/intialize audio device -> no sound.

Changing configuration of these programs doesn't help.
Comment 5 Martin Stransky 2005-10-07 08:06:43 EDT
What happens if you remove your .asoundrc file and use the "dmix" ALSA device? 
(in xmms or mplayer, you simply use "dmix" instead of "default"). Does sound
work properly?
Comment 6 Jacek Piskozub 2005-10-10 05:15:00 EDT
What if I have no .asoundrc file and still see this problem?
Comment 7 Martin Stransky 2005-10-10 05:23:06 EDT
And what about dmix plugin? Did you test it instead of the default?
Comment 8 Rafal Komar 2005-10-10 07:10:39 EDT
If I remove .asoundrc file. I can solve problem with sound in all multimedia
applications (xmms, mplayer, xine and others) by choosing alsa or dmix plugin
instead default. Problem exist when I choose arts or oss plugin. Only when I
play  games .asoundrc file is still needed.

How could I remove all sound daemons like arts and oss and leave only alsa?
Mayby this will solve problem with sound in games?
Comment 9 Martin Stransky 2005-11-04 05:29:27 EST
You can stop arts in kde control center. OSS is only an emulation layer for
ALSA, so you don't have to stop it.

Note You need to log in before you can comment on or make changes to this bug.